KYUA-TEST(1)

NAME
test - Runs tests

SYNOPSIS
test [--build-root path] [--kyuafile file] [--store file] [test_filter1 .. test_filterN]

DESCRIPTION
The test command runs the tests of a test suite and records the results into the store in the form of a new action.

The optional arguments to test are used to select which test programs or test cases to run. These are filters and are explained in more detail in kyua-test-filters(7).

The following subcommand options are recognized:

--build-root path
    Specifies the build root in which to find the test programs referenced by the Kyuafile, if different from the Kyuafile's directory. See kyua-build-root(7) for more information.

--kyuafile path, -k path
    Specifies the Kyuafile to process. Defaults to a Kyuafile file in the current directory.

--store path, -s path
    Specifies the database to use. Defaults to ~/.kyua/store.db. The database is created if it does not exist.

Because test records the result of the execution into the database, it does not provide much feedback on the activity of the program. You can later inspect the results in more detail by using kyua-report(1) or you can execute a single test case with debugging functionality by using kyua-debug(1).

EXIT STATUS
The test command returns 0 if all executed test cases pass or 1 if any of the executed test cases fails or if any of the given test case filters does not match any test case.

Additional exit codes may be returned as described in kyua(1).

SEE ALSO
kyua(1), kyua-report(1)